html {
  background-color: rgb(68, 87, 105);
  overflow-x: hidden;
}

button {
  width: 150px;
}

main {
  color: rgb(246, 246, 246);
  font-family: "Roboto", sans-serif;
  font-size: large;
  height: 100vh;
  width: 100vw;
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: center;
  padding-top: 50px; /* or use margin top for startButton */
  box-sizing: border-box;
}

#home {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  padding: 0 20px;
}

#reset-high-score {
  color: rgb(203, 197, 213);
  text-decoration: underline;
  text-underline-offset: 2px;
}

a {
  color:antiquewhite;
}

#info-bar {
  display: flex;
  justify-content: space-between;
  width: 100%;
}


#quiz {
  display: flex; /* switch to flex when quiz starts */
  /* i changed to hidden visibility */
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

#defending-images {
  display: flex;
  gap: 10px;
  height: fit-content;
}


#result {
  height: 30px;
}

#main-title {
  position: absolute;
  top: 0;
  left: 0;
}

#main-title h1 {
  margin: 5px;
  opacity: 20%;
  font-family: "Noto Sans Mono", monospace;
  font-weight: normal;
}

.toast {
  width: fit-content;
  background-color: rgb(0, 0, 0, 0.3);
  -webkit-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
  border-radius: 10px;
  padding: 10px;
  text-align: center;
}

.toast {
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
}

.toast.show {
  opacity: 1;
}

.types {
  display: flex;
  gap: 10px;
  align-items: center;
}

.correct {
  background-color: rgb(102, 231, 102);
}

.incorrect {
  background-color: rgb(244, 115, 115);
}

.hint {
  background-color: rgb(93, 174, 245);
}

.pure-button-group {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

@media (max-width: 600px) {
  .pure-button-group {
    flex-direction: column;
  }
}

.pure-button-active {
  background-color: rgb(93, 174, 245);
}

.high-score-list {
  display: flex;
  flex-direction: column;
  list-style: none;
  padding: 0;
}

.high-score-item {
  display: flex;
  justify-content: space-between;
}

.high-score-label {
  width: 200px;
}

.vert {
  transform: rotate(90deg) translateY(75%);
}

#stats-table {
  table-layout: fixed;
  width: 100%;
  max-width: 800px;
}

.matchup-0 {
  background-color: rgb(255, 120, 120, 0.7);
}

.matchup-10 {
  background-color: rgb(240, 191, 13, 0.7);
}

.matchup-30 {
  background-color: rgb(182, 226, 24, 0.7);
}

.matchup-60 {
  background-color: rgb(69, 224, 147, 0.7);
}

.matchup-100 {
  background-color: rgb(7, 247, 167, 0.7);
}